# Copyright 2023 Google LLC
#
# This source code is licensed under the BSD-style license found in the
# LICENSE file in the root directory of this source tree.

# Arm KleidiAI kernels
- name: xnn_pf32_gemm_minmax_ukernel_1x32__neonsme2
  init: xnn_init_f32_minmax_scalar_params
  pack: xnn_pack_kai_f32_weights_and_biases
  packed-stride: xnn_packed_stride_kai_f32_weights_and_biases
  cpp-check: XNN_ENABLE_KLEIDIAI
  k-block: 1
  mr-packed: 1
- name: xnn_pf32_gemm_minmax_ukernel_32x32__neonsme2
  init: xnn_init_f32_minmax_scalar_params
  pack: xnn_pack_kai_f32_weights_and_biases
  packed-stride: xnn_packed_stride_kai_f32_weights_and_biases
  cpp-check: XNN_ENABLE_KLEIDIAI
  k-block: 1
  mr-packed: 32
- name: xnn_pf32_gemm_minmax_ukernel_1x32__neonsme
  init: xnn_init_f32_minmax_scalar_params
  pack: xnn_pack_kai_f32_weights_and_biases
  packed-stride: xnn_packed_stride_kai_f32_weights_and_biases
  cpp-check: XNN_ENABLE_KLEIDIAI
  k-block: 1
  mr-packed: 1
- name: xnn_pf32_gemm_minmax_ukernel_32x32__neonsme
  init: xnn_init_f32_minmax_scalar_params
  pack: xnn_pack_kai_f32_weights_and_biases
  packed-stride: xnn_packed_stride_kai_f32_weights_and_biases
  cpp-check: XNN_ENABLE_KLEIDIAI
  k-block: 1
  mr-packed: 32
